#!/home/nop/lua-fltk/flua
-- This is how *all* callbacks show up in lua-land, with w as the widget
function fltk_dispatch(w) if w.callback then w:callback() end end

-- Translation of tile.cxx

-- Note that Fl_Box:new() requires a Fl_Boxtype; the overloading
-- doesn't work out right for lua.

window = Fl_Window:new(300,300)
window:box(FL_NO_BOX);
window:resizable(window);
tile = Fl_Tile:new(0,0,300,300);
box0 =  Fl_Box:new(FL_NO_BOX,0,0,150,150,"0");
box0:box(FL_DOWN_BOX);
box0:color(9);
box0:labelsize(36);
box0:align(FL_ALIGN_CLIP);
w1 =  Fl_Window:new(150,0,150,150,"1");
w1:box(FL_NO_BOX);
box1 = Fl_Box:new(FL_NO_BOX, 0,0,150,150,"1\nThis is a\nchild\nX window");
box1:box(FL_DOWN_BOX);
box1:color(19);
box1:labelsize(18);
box1:align(FL_ALIGN_CLIP);
w1:resizable(box1);
w1:end_layout();

box2a = Fl_Box:new(FL_NO_BOX, 0,150,70,150,"2a");
box2a:box(FL_DOWN_BOX);
box2a:color(12);
box2a:labelsize(36);
box2a:align(FL_ALIGN_CLIP);
box2b = Fl_Box:new(FL_NO_BOX, 70,150,80,150,"2b");
box2b:box(FL_DOWN_BOX);
box2b:color(13);
box2b:labelsize(36);
box2b:align(FL_ALIGN_CLIP);

box3a =  Fl_Box:new(FL_NO_BOX, 150,150,150,70,"3a");
box3a:box(FL_DOWN_BOX);
box3a:color(12);
box3a:labelsize(36);
box3a:align(FL_ALIGN_CLIP);
box3b = Fl_Box:new(FL_NO_BOX, 150,150+70,150,80,"3b");
box3b:box(FL_DOWN_BOX);
box3b:color(13);
box3b:labelsize(36);
box3b:align(FL_ALIGN_CLIP);

r =  Fl_Box:new(FL_NO_BOX, 10,0,300-10,300-10);
tile:resizable(r);

tile:end_layout();
window:end_layout();
window:show();
w1:show();





